# Hypha

[![<OpenTechFund>](https://circleci.com/gh/OpenTechFund/hypha.svg?style=shield)](https://circleci.com/gh/OpenTechFund/hypha)


## Submission management software for open calls
Features
- Manage the collection and review of applications or submissions openly and efficiently.
- Customize all aspects of the process, forms, workflows, review options, and more.
- Automate workflows and integrate with other services (Slack, Mailgun, etc).
- Regularly audited software with many privacy and security features.
- View our [Roadmap](https://github.com/OpenTechFund/hypha/wiki/Roadmap) for upcoming features and enhancements.

Technology
- Built with [Django](https://www.djangoproject.com/), [Wagtail](https://wagtail.io/), and [React](https://reactjs.org/)
- Deploy with [Heroku](https://github.com/OpenTechFund/hypha/wiki/Deployment:-Heroku), [Docker](https://github.com/OpenTechFund/hypha/wiki/Deployment:-Docker), or [your own server](https://github.com/OpenTechFund/hypha/wiki/Deployment:-Standalone-App).

## Maintainers

- [Sarah Aoun](https://github.com/saoun) @ [Open Technology Fund](https://www.opentech.fund/)
- [Dan Blah](https://github.com/danblah) @ [Reset](https://www.reset.tech/)
- [Fredrik Jonsson](https://github.com/frjo) @ [Combonetwork](https://www.combonet.se/)

## Community

### Contributors
Thank you to all the people who have contributed code to Hypha <3

- [Torchbox](https://www.torchbox.com/)
- [Remote Inning](https://www.remoteinning.com/)
- [Maxwell Pearl](https://maxwellpearl.com/)
- [Throneless Technology](https://throneless.tech/)
- [Psycle](https://psycle.com/)

### Implementers
Thank you brave folks who choose to use Hypha <3

- [Open Technology Fund](https://www.opentech.fund)
- [Reset](https://www.reset.tech)

### Sponsors
Thank you for your generosity <3

- [Open Technology Fund](https://www.opentech.fund)
- [Reset](https://www.reset.tech)

## Sponsor Hypha

Hypha is an open source project made possible thanks to the support of sponsors. If you rely on Hypha, please consider becoming a sponsor to help those contributing code. Hypha can be supported by anyone and the money will be distributed directly to contributors. You can provide general support via [Open Collective](https://opencollective.com/hypha) or [Liberapay](https://liberapay.com/hypha). You can sponsor specific issues via [Issuehunt](https://issuehunt.io/r/OpenTechFund/hypha). Thanks in advance <3

[![Sponsor with Liberapay](https://liberapay.com/assets/widgets/donate.svg)](https://liberapay.com/hypha)

[![Sponsor with Open Collective](https://opencollective.com/hypha/tiers/backer.svg?avatarHeight=75&width=600)](https://opencollective.com/hypha)

[![Find and sponsor issues](https://issuehunt.io/static/embed/issuehunt-button-v1.svg)](https://issuehunt.io/r/OpenTechFund/hypha)

## More information

* Website: coming soon
* Docs: https://github.com/OpenTechFund/hypha/wiki
* Why Hypha? **[Hyphae](https://en.wikipedia.org/wiki/Mycorrhizal_network):** long, branching ecosystem enriching organisms that form interconnected networks to collectively exchange resources. Hopefully, Hypha helps it's users do the same.
* Copyright (C) 2020 - Open Technology Fund

### License

[BSD 3-clause](./LICENSE)
